Start an MCP OAuth connection
curl --request POST \
--url https://api.getoneprofile.ai/table-enrichments/mcp-servers/oauth/connect/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slug": "<string>"
}
'import requests
url = "https://api.getoneprofile.ai/table-enrichments/mcp-servers/oauth/connect/"
payload = { "slug": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({slug: '<string>'})
};
fetch('https://api.getoneprofile.ai/table-enrichments/mcp-servers/oauth/connect/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authorize_url": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}table-enrichments
Start an MCP OAuth connection
Begin (or redo) the OAuth flow for one catalog entry and return the authorization URL to send the browser to. Reconnecting uses the same call.
POST
/
table-enrichments
/
mcp-servers
/
oauth
/
connect
/
Start an MCP OAuth connection
Authorizations
HTTPBearerAPIKeyHeader
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Which catalog entry to begin (or redo) an OAuth connection for.
Required string length:
1 - 64Response
Successful Response
Where to send the user's browser to authorize the connection.
Was this page helpful?